## org.eclipse.ocl.cst
Interface EnumLiteralExpCS

All Superinterfaces:
  CSTNode, EObject, LiteralExpCS, Notifier, OCLExpressionCS

All Known Implementing Classes:
  EnumLiteralExpCSImpl

    public interface EnumLiteralExpCS

extends LiteralExpCS

A representation of the model object 'Enum Literal Exp CS'.

The following features are supported:

- `Path Name CS`
- `Simple Name CS`

See Also:
  `CSTPackage.getEnumLiteralExpCS()`

Method Summary
`PathNameCS` `getPathNameCS()` Returns the value of the 'Path Name CS' containment reference
`SimpleNameCS` `getSimpleNameCS()` Returns the value of the 'Simple Name CS' containment reference
`void` `setPathNameCS(PathNameCS value)` Sets the value of the '`Path Name CS`' containment reference
`void` `setSimpleNameCS(SimpleNameCS value)` Sets the value of the '`Simple Name CS`' containment reference

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getAst, getEndOffset, getEndToken, getStartOffset, getStartToken, setAst, setEndOffset, setEndToken, setStartOffset, setStartToken`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getPathNameCS

    PathNameCS getPathNameCS()

  Returns the value of the 'Path Name CS' containment reference.

  If the meaning of the 'Path Name CS' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Path Name CS' containment reference.
  See Also:
    `setPathNameCS(PathNameCS)`, `CSTPackage.getEnumLiteralExpCS_PathNameCS()`

### setPathNameCS

    void setPathNameCS(PathNameCS value)

  Sets the value of the '`Path Name CS`' containment reference.

  Parameters:
    `value` - the new value of the 'Path Name CS' containment reference.
  See Also:
    `getPathNameCS()`

### getSimpleNameCS

    SimpleNameCS getSimpleNameCS()

  Returns the value of the 'Simple Name CS' containment reference.

  If the meaning of the 'Simple Name CS' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Simple Name CS' containment reference.
  See Also:
    `setSimpleNameCS(SimpleNameCS)`, `CSTPackage.getEnumLiteralExpCS_SimpleNameCS()`

### setSimpleNameCS

    void setSimpleNameCS(SimpleNameCS value)

  Sets the value of the '`Simple Name CS`' containment reference.

  Parameters:
    `value` - the new value of the 'Simple Name CS' containment reference.
  See Also:
    `getSimpleNameCS()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.